<?php

namespace ShopManagerPro\Products\Fields\DTO\CustomMeta;

use ShopManagerPro\Products\Fields\DTO\ProductField;

class CustomMetaField implements ProductField {
	public function __construct(public readonly CustomMetaDataTypes $type, public readonly string $key, public readonly string $label) {
	}

	public function key(): string {
		return CustomMetaGroup::KEY.self::FIELD_TYPE_SEPARATOR.$this->key;
	}
}
